package org.kaiwitte.workbench.data;

/**
 * A factory to create copies of {@link org.kaiwitte.workbench.data.DataScheme}s.
 */ 
public interface BackupDataSchemeFactory {
    /**
     * Creates a {@link org.kaiwitte.workbench.data.DataScheme}.
     * @param in the <code>DataScheme</code> to be copied
     * @return the {@link org.kaiwitte.workbench.data.DataScheme} copy.
     * it has a different name derived from the source schema name
     */ 
    public DataScheme createDataScheme(DataScheme in);
}
