package org.kaiwitte.workbench.ui.model;

import static java.lang.System.*;

import java.io.OutputStream;
import java.io.IOException;

public class DuplexOutputStream extends OutputStream {
    private final OutputStream s1;
    private final OutputStream s2;

    public DuplexOutputStream(OutputStream s1, OutputStream s2) {
        this.s1 = s1;
        this.s2 = s2;
    }

    public void write(int b) throws IOException {
        s1.write(b);
        s2.write(b);
    }
}
