package org.kaiwitte.workbench.data;

/**
 * A condition for a {@link DataManager#find(Condition) search}.
 * @see DataManager#find(Condition) 
 */ 
public interface Condition {
    /**
     * Returns the condition in SQL syntax.
     * Example: 
     * <pre>
     * name='Tom' AND age<20
     * </pre>.
     * @return the condition in SQL syntax
     */ 
    public String toSQLString();
}
