package org.kaiwitte.workbench.ui.controller;

import javax.swing.*;
import static java.lang.System.*;
import java.awt.event.ActionEvent;

public class CompoundAction extends AbstractAction {
    private final Action a1;
    private final Action a2;

    public CompoundAction(Action a1, Action a2) {
        this.a1 = a1;
        this.a2 = a2;
    }

    public void actionPerformed(ActionEvent e) {
        a1.actionPerformed(e);
        a2.actionPerformed(e);
    }
}
