package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.data.Record;

/**
 * An interface to indicate that a {@link Record} can be received by the 
 * implementing class.
 */ 
public interface RecordReceiver {
    /**
     * Triggers the receival.
     * @param r the record to be received
     */ 
    public void receiveRecord(Record r);
}
