package test;

import java.io.*;
import java.net.InetAddress;
import java.util.Properties;
import java.util.Date;

import javax.mail.*;
import javax.mail.internet.*;

public class MailExample {
    public MailExample() {
    }

    public static void main(String[] argv) throws Exception {
        MailExample smtpSend = new MailExample();
        smtpSend.msgsend();
    }

    public void msgsend() throws Exception {


        String username = "werkstatt-service@test.de";
        String password = "geheim";
        String smtphost = "193.151.7.153";
        String subject = "This is a JavaMail API Test";
        String from = "werkstatt-service@test.de";
        String to = "werkstatt-service@test.de";
        String mailer = "JavaMail API";
        Transport tr = null;

        try {

            Properties props = System.getProperties();
            props.put("mail.smtp.auth", "true");
            props.put("mail.debug", "true");
  
// Get a Session object
            Session mailSession = Session.getDefaultInstance(props, null); 
  
// construct the message
            Message msg = new MimeMessage(mailSession);
            msg.setFrom(new InternetAddress(from));

            msg.setRecipients(Message.RecipientType.TO,
                              InternetAddress.parse(to, false));

            msg.setSubject(subject);

            msg.setText("Test von Kai");

            msg.setHeader("X-Mailer", mailer);
            msg.setSentDate(new Date());

            tr = mailSession.getTransport("smtp");
            tr.connect(smtphost, username, password);
            msg.saveChanges(); // don't forget this
            tr.sendMessage(msg, msg.getAllRecipients());
            tr.close();

            System.out.println("\nMail was sent successfully.");

        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            tr.close();
        }
    }
} 